Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:44:06 CEST 2019
-buildNumber=54
+#Tue Oct 22 12:44:03 CEST 2019
+buildNumber=55
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:43:52 CEST 2019
-buildNumber=76
+#Tue Oct 22 12:43:49 CEST 2019
+buildNumber=77
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:43:49 CEST 2019
-buildNumber=73
+#Tue Oct 22 12:43:46 CEST 2019
+buildNumber=74
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:43:46 CEST 2019
-buildNumber=76
+#Tue Oct 22 12:43:43 CEST 2019
+buildNumber=77
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:44:01 CEST 2019
-buildNumber=75
+#Tue Oct 22 12:43:58 CEST 2019
+buildNumber=76
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:43:46 CEST 2019
-buildNumber=73
+#Tue Oct 22 12:43:43 CEST 2019
+buildNumber=74
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:43:46 CEST 2019
-buildNumber=76
+#Tue Oct 22 12:43:43 CEST 2019
+buildNumber=77
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:43:55 CEST 2019
-buildNumber=76
+#Tue Oct 22 12:43:52 CEST 2019
+buildNumber=77
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:43:59 CEST 2019
-buildNumber=75
+#Tue Oct 22 12:43:55 CEST 2019
+buildNumber=76
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:44:04 CEST 2019
-buildNumber=73
+#Tue Oct 22 12:44:01 CEST 2019
+buildNumber=74
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 441)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 442)
@@ -1,2 +1,2 @@
-#Tue Oct 15 21:44:06 CEST 2019
-buildNumber=54
+#Tue Oct 22 12:44:03 CEST 2019
+buildNumber=55