Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.common/src/main/java/org/gvsig/view3d/app/mainplugin/View3DExtension.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.common/src/main/java/org/gvsig/view3d/app/mainplugin/View3DExtension.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.app/org.gvsig.view3d.app.common/src/main/java/org/gvsig/view3d/app/mainplugin/View3DExtension.java	(revision 448)
@@ -32,7 +32,7 @@
 
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class View3DExtension extends Extension {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/Main.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/Main.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/Main.java	(revision 448)
@@ -81,7 +81,7 @@
 import org.gvsig.view3d.swing.api.View3DSwingManager;
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class Main {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/PaletteActions.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/PaletteActions.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/PaletteActions.java	(revision 448)
@@ -58,7 +58,7 @@
 import org.gvsig.view3d.swing.api.View3DPanel;
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class PaletteActions {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DManager.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DManager.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DManager.java	(revision 448)
@@ -26,7 +26,7 @@
 
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public interface View3DManager {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DLocator.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DLocator.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DLocator.java	(revision 448)
@@ -32,7 +32,7 @@
  * This locator is the entry point for the View 3D library, providing
  * access to View3D services through the {@link View3DManager} .
  *
- * @author lmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  * @version $Id$
  */
 public class View3DLocator extends BaseLocator {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DLibrary.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DLibrary.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.lib/org.gvsig.view3d.lib.api/src/main/java/org/gvsig/view3d/lib/api/View3DLibrary.java	(revision 448)
@@ -31,7 +31,7 @@
 
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class View3DLibrary extends AbstractLibrary {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingManager.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingManager.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingManager.java	(revision 448)
@@ -27,7 +27,7 @@
 import org.gvsig.fmap.mapcontext.MapContext;
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public interface View3DSwingManager {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/MapControl3D.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/MapControl3D.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/MapControl3D.java	(revision 448)
@@ -30,7 +30,7 @@
 
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public interface MapControl3D extends Component{
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingLocator.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingLocator.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingLocator.java	(revision 448)
@@ -31,7 +31,7 @@
  * This locator is the entry point for the View 3D swing library, providing
  * access to View3D swing services through the {@link View3DSwingManager} .
  *
- * @author lmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  * @version $Id$
  */
 public class View3DSwingLocator extends BaseLocator {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingLibrary.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingLibrary.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DSwingLibrary.java	(revision 448)
@@ -30,7 +30,7 @@
 import org.gvsig.tools.locator.ReferenceNotRegisteredException;
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class View3DSwingLibrary extends AbstractLibrary {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DPanel.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DPanel.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.api/src/main/java/org/gvsig/view3d/swing/api/View3DPanel.java	(revision 448)
@@ -27,7 +27,7 @@
 import org.gvsig.tools.swing.api.Component;
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public interface View3DPanel extends Component {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultView3DPanel.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultView3DPanel.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultView3DPanel.java	(revision 448)
@@ -39,7 +39,7 @@
 import org.gvsig.view3d.swing.api.View3DSwingManager.TYPE;
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class DefaultView3DPanel extends JPanel implements View3DPanel {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultView3DSwingManager.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultView3DSwingManager.java	(revision 447)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultView3DSwingManager.java	(revision 448)
@@ -30,7 +30,7 @@
 import org.gvsig.view3d.swing.api.View3DPanel;
 
 /**
- * @author llmarques
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class DefaultView3DSwingManager implements View3DSwingManager {