Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/Main.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/Main.java	(revision 455)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.main/src/main/java/org/gvsig/view3d/main/Main.java	(revision 456)
@@ -86,7 +86,7 @@
  */
 public class Main {
 
-    private static final Logger logger = LoggerFactory.getLogger(Main.class);
+    private static final Logger LOG = LoggerFactory.getLogger(Main.class);
 
     final View3DSwingManager view3DManager;
 
@@ -158,7 +158,7 @@
             mapControl.setTool("pan");
 
         } catch (MapControlCreationException e) {
-            logger.error("Can't create mapControl", e);
+            LOG.error("Can't create mapControl", e);
         }
 
         // Create JFrame to show data
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/data/DefaultDataRasterReaderFactory.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/data/DefaultDataRasterReaderFactory.java	(revision 455)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/data/DefaultDataRasterReaderFactory.java	(revision 456)
@@ -24,26 +24,30 @@
 
 package org.gvsig.view3d.swing.impl.data;
 
-import org.gvsig.fmap.mapcontext.layers.FLayer;
-
 import gov.nasa.worldwind.avlist.AVList;
 import gov.nasa.worldwind.data.BasicDataRasterReaderFactory;
 import gov.nasa.worldwind.data.DataRasterReader;
-import gov.nasa.worldwind.util.Logging;
 
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+import org.gvsig.fmap.mapcontext.layers.FLayer;
+
 /**
  * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
  *
  */
 public class DefaultDataRasterReaderFactory extends
     BasicDataRasterReaderFactory {
+    
+    private static final Logger LOG =
+        LoggerFactory.getLogger(DefaultDataRasterReaderFactory.class);
 
     /** {@inheritDoc} */
     public DataRasterReader findReaderFor(Object source, AVList params) {
         if (source == null) {
-            String message = Logging.getMessage("nullValue.SourceIsNull");
-            Logging.logger().severe(message);
-            throw new IllegalArgumentException(message);
+            LOG.error("Can't find reader because source is null");
+            throw new IllegalArgumentException();
         }
 
         if (source instanceof FLayer) {
@@ -59,9 +63,8 @@
         DataRasterReader[] readers) {
 
         if (source == null) {
-            String message = Logging.getMessage("nullValue.SourceIsNull");
-            Logging.logger().severe(message);
-            throw new IllegalArgumentException(message);
+            LOG.error("Can't find reader because source is null");
+            throw new IllegalArgumentException();
         }
 
         if (source instanceof FLayer) {
Index: 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultMapControl3D.java
===================================================================
--- 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultMapControl3D.java	(revision 455)
+++ 2.1/trunk/org.gvsig.view3d/org.gvsig.view3d.swing/org.gvsig.view3d.swing.impl/src/main/java/org/gvsig/view3d/swing/impl/DefaultMapControl3D.java	(revision 456)
@@ -77,7 +77,7 @@
 
     private static final long serialVersionUID = 2024899922367896097L;
 
-    private static final Logger logger = LoggerFactory
+    private static final Logger LOG = LoggerFactory
         .getLogger(DefaultMapControl3D.class);
     
     /**
@@ -115,7 +115,7 @@
         try {
             addLayers();
         } catch (BaseException e) {
-            logger.info("Can't add MapControl layers", e);
+            LOG.info("Can't add MapControl layers", e);
         }
 
     }
@@ -303,7 +303,7 @@
                 addWWLayer(SkyColorLayer.class);
             }
         } catch (Exception e) {
-            logger.warn(
+            LOG.warn(
                 "Can't add " + SkyGradientLayer.class.getCanonicalName()
                     + " or " + SkyColorLayer.class.getCanonicalName() + " to "
                     + getWwd().getModel().toString(), e);
@@ -314,7 +314,7 @@
         try {
             addWWLayer(WorldMapLayer.class);
         } catch (Exception e) {
-            logger.warn("Can't add " + WorldMapLayer.class.getCanonicalName()
+            LOG.warn("Can't add " + WorldMapLayer.class.getCanonicalName()
                 + "to " + getWwd().getModel().toString(), e);
         }
     }
@@ -323,7 +323,7 @@
         try {
             addWWLayer(CompassLayer.class);
         } catch (Exception e) {
-            logger.warn("Can't add " + CompassLayer.class.getCanonicalName()
+            LOG.warn("Can't add " + CompassLayer.class.getCanonicalName()
                 + " to " + getWwd().getModel().toString(), e);
         }
     }
@@ -332,7 +332,7 @@
         try {
             addWWLayer(ScalebarLayer.class);
         } catch (Exception e) {
-            logger.warn("Can't add " + ScalebarLayer.class.getCanonicalName()
+            LOG.warn("Can't add " + ScalebarLayer.class.getCanonicalName()
                 + " to " + getWwd().getModel().toString(), e);
         }
     }
@@ -341,7 +341,7 @@
         try {
             addWWLayer(StarsLayer.class);
         } catch (Exception e) {
-            logger.warn("Can't add " + StarsLayer.class.getCanonicalName()
+            LOG.warn("Can't add " + StarsLayer.class.getCanonicalName()
                 + " to " + getWwd().getModel().toString(), e);
         }
     }