Index: org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/java/org/gvsig/scripting/app/extension/ScriptingExtension.java
===================================================================
--- org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/java/org/gvsig/scripting/app/extension/ScriptingExtension.java	(revision 457)
+++ org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/java/org/gvsig/scripting/app/extension/ScriptingExtension.java	(revision 458)
@@ -24,6 +24,7 @@
 
 
 import java.io.File;
+import java.util.Arrays;
 import java.util.List;
 
 import javax.swing.JOptionPane;
@@ -60,7 +61,7 @@
 		WindowManager winmanager = ToolsSwingLocator.getWindowManager();
 		
 		if( "tools-scripting-launcher".equalsIgnoreCase(command) ) {
-		    winmanager.showWindow(uimanager.createLauncher(), "Scripting Launcher", WindowManager.MODE.TOOL);
+		    winmanager.showWindow(uimanager.createLauncher(), uimanager.getTranslation("Scripting_Launcher"), WindowManager.MODE.TOOL);
 		    
 		} else if( "tools-scripting-composer".equalsIgnoreCase(command) ) {
 			DynObject preferences = this.getPlugin().getPluginProperties();
@@ -69,9 +70,9 @@
 			if( composerUseHisWindowManager.booleanValue() ) {
 				winmanager = new DefaultWindowManager();
 				composer.setWindowManager(winmanager);
-				winmanager.showWindow(composer, "Scripting Composer", WindowManager.MODE.WINDOW);
+				winmanager.showWindow(composer, uimanager.getTranslation("Scripting_Composer"), WindowManager.MODE.WINDOW);
 			} else {
-				winmanager.showWindow(composer, "Scripting Composer", WindowManager.MODE.WINDOW);
+				winmanager.showWindow(composer, uimanager.getTranslation("Scripting_Composer"), WindowManager.MODE.WINDOW);
 			}
 			
 		} else { 
@@ -99,7 +100,7 @@
 	    File home = this.getPlugin().getPluginHomeFolder();
 	    manager.setHomeFolder(home);
     	
-	    List<File> pluginsFolders = pluginManager.getPluginsFolders();
+	    List<File> pluginsFolders = Arrays.asList(pluginManager.getPluginsFolder().listFiles());
 	    for( File pluginsFolder : pluginsFolders ) {
 		    File[] folders = pluginsFolder.listFiles();
 		    for (File folder : folders) {
Index: org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/config.xml
===================================================================
--- org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/config.xml	(revision 457)
+++ org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/config.xml	(revision 458)
@@ -48,14 +48,14 @@
 			  />
 
 
-			<menu text="tools/Scripting"
+			<menu text="tools/_Scripting"
 				position="908300000" 
 				is_separator="true"/>
-			<menu text="tools/Scripting/Scripting Launcher" 
+			<menu text="tools/_Scripting/Scripting_Launcher" 
 				name="tools-scripting-launcher"/>
-			<menu text="tools/Scripting/Scripting Composer" 
+			<menu text="tools/_Scripting/Scripting_Composer" 
 				name="tools-scripting-composer"/>
-		    <menu text="tools/Scripting/Jython Console" 
+		    <menu text="tools/_Scripting/Jython_Console" 
 				name="tools-scripting-console-jython"/>
 				
 			<tool-bar name="Scripting" position="5">
Index: org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/i18n/text.properties
===================================================================
--- org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/i18n/text.properties	(revision 0)
+++ org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/i18n/text.properties	(revision 458)
@@ -0,0 +1,127 @@
+_Scripting=Scripting
+_Show_scripting_launcher=Abrir lanzador de scripts
+_Show_scripting_composer=Abrir editor de scripts
+_Show_scripting_jython_console=Abrir consola Jython
+
+User=Usuario
+System=Sistema
+
+Accept=Aceptar
+Cancel=Cancelar
+Apply=Aplicar
+
+Retrieving_data=Recibiendo datos...
+
+File=Fichero
+New=Nuevo
+Close_document=Cerrar documento
+Close_all_documents=Cerrar todos los documentos
+Run=Ejecutar
+Save=Guardar
+Close=Cerrar
+Close_current_tab=Cerrar pestaña actual
+Open_edition_mode=Abrir modo edición
+Run_selected_script=Ejecutar script seleccionado
+Delete_selected_script=Borrar script seleccionado
+Refresh_directories=Actualizar carpetas
+Move_files=Mover ficheros
+Set_file_preferences=Editar preferencias de fichero
+
+
+Edit=Editar
+Cut=Cortar
+Copy=Copiar
+Paste=Pegar
+Select_all=Seleccionar todo
+
+Tools=Herramientas
+Launcher=Lanzador de scripts
+Scripting_Launcher=Lanzador de scripts
+Scripting_Composer=Editor de scripts
+Jython_Console=Consola Jython
+Import_JavaDoc=Importar JavaDoc
+JavaDoc=Ayuda de Java (JavaDoc)
+Remove_JavaDoc=Eliminar JavaDoc
+Show_JavaDoc=Mostrar JavaDoc
+About_us=Sobre nosotros
+Get_help=Ayuda
+Help=Ayuda
+
+Problems=Errores
+Console=Consola
+
+Description=Descripción
+Resource=Recurso
+Location=Ubicación
+
+no_line=sin línea
+Line=Línea
+
+Welcome_message=Bienvenido al entorno de scripting v1.0
+
+Error_opening_in_edition_mode_title=Error al abrir fichero
+Error_opening_in_edition_mode=No se pudo abrir el fichero en modo edición
+
+New_Script=Nuevo elemento
+New_Script_Description=Crea un nuevo script, diálogo, proyecto, directorio
+
+Deleting_JavaDocs_successfully_title=Operación realizada con éxito
+Deleting_JavaDocs_successfully=Eliminación de los JavaDocs exitosa
+
+Import_JavaDoc_title=Importar JavaDocs desde los directorios de sistema al ScriptingFramework JavaDoc
+Remove_JavaDoc_title=Eliminar JavaDocs del ScriptingFramework JavaDoc
+
+projects_modified_title=Proyectos sin guardar
+projects_modified=Algunos proyectos han sido modificados.¿Salvar cambios?
+project_modified=ha sido modificado.¿Salvar cambios?
+
+Delete_all_title=Borrar el proyecto
+Delete_all_message=Esta acción elimina el directorio y todo su contenido. ¿Continuar?
+
+About_us_title=Información de todos los contribuidores al proyecto gvSIG
+
+Success=Operación realizada con éxito
+Error=Error
+Error_renaming=Inesperado error renombrando el fichero
+Error_moving=Inesperado error moviendo el fichero
+Error_help=Selecciona una ayuda
+Rename_succesfully=Renombrado del fichero realizado con éxito
+Select_first=Debe seleccionar un fichero primero
+help_key=No hay ayuda para el texto
+
+
+script_filesystem=script en el árbol de directorio
+Move=Mover
+move_desc=Cambia la ubicación del fichero seleccionado
+Rename=Renombrar
+rename_desc=Cambia el nombre y otras propiedades del fichero seleccionado
+Moving_succesfully=Reubicación del fichero realizado con éxito
+
+Dialog=Diálogo
+Code=Código
+Properties=Propiedades
+
+current_name=Nombre actual
+new_name=Nuevo name
+rename_name_title=Cambiar el nombre del fichero
+more_properties=Más propiedades
+
+Javadoc_remove=Selecciona el JavaDoc a eliminar
+no_Javadoc_remove=No hay JavaDoc para eliminar
+
+Name=Nombre
+Version=Versión
+Created_by=Creado por
+Description=Descripción
+Type=Tipo
+Language=Lenguaje
+Author=Autor
+Move_from=Mover desde
+Move_to=Destino
+Browse=Abrir
+Import_from=Importar desde
+
+Name_blank=El nombre no puede estar en blanco
+Name_exists=Este nombre ya existe. Debe elegir otro
+Import_success=Los JavaDocs se han importado satisfactoriamente
+JavaDoc_Error=Selecciona JavaDoc a importar
\ No newline at end of file

Property changes on: org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/i18n/text.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/i18n/text_en.properties
===================================================================

Property changes on: org.gvsig.scripting.app/trunk/org.gvsig.scripting.app/org.gvsig.scripting.app.extension/src/main/resources-plugin/i18n/text_en.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain