Index: org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.provider.legend/pom.xml
===================================================================
--- org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.provider.legend/pom.xml	(revision 472)
+++ org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.provider.legend/pom.xml	(revision 473)
@@ -8,7 +8,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dgn</artifactId>
-      <version>2.0.100-SNAPSHOT</version>
+      <version>2.0.100</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.provider/pom.xml
===================================================================
--- org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.provider/pom.xml	(revision 472)
+++ org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.provider/pom.xml	(revision 473)
@@ -10,7 +10,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dgn</artifactId>
-      <version>2.0.100-SNAPSHOT</version>
+      <version>2.0.100</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.dgn/trunk/org.gvsig.dgn/pom.xml
===================================================================
--- org.gvsig.dgn/trunk/org.gvsig.dgn/pom.xml	(revision 472)
+++ org.gvsig.dgn/trunk/org.gvsig.dgn/pom.xml	(revision 473)
@@ -6,7 +6,7 @@
   <artifactId>org.gvsig.dgn</artifactId>
   <packaging>pom</packaging>
   <name>${project.artifactId}</name>
-  <version>2.0.100-SNAPSHOT</version>
+  <version>2.0.100</version>
   <description>DGN support fort DAL and gvSIG</description>
   <parent>
       <groupId>org.gvsig</groupId>
@@ -16,9 +16,9 @@
   <url>https://devel.gvsig.org/redmine/projects/gvsig-dgn</url>
 
   <scm>
-      <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-dgn/org.gvsig.dgn/trunk/org.gvsig.dgn</connection>
-      <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-dgn/org.gvsig.dgn/trunk/org.gvsig.dgn</developerConnection>
-      <url>https://devel.gvsig.org/redmine/projects/gvsig-dgn/repository/show/org.gvsig.dgn/trunk/org.gvsig.dgn</url>
+      <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-dgn/org.gvsig.dgn/tags/org.gvsig.dgn-2.0.100</connection>
+      <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-dgn/org.gvsig.dgn/tags/org.gvsig.dgn-2.0.100</developerConnection>
+      <url>https://devel.gvsig.org/redmine/projects/gvsig-dgn/repository/show/org.gvsig.dgn/tags/org.gvsig.dgn-2.0.100</url>
   </scm>
     <repositories>
       <repository>
@@ -55,17 +55,17 @@
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dgn.provider</artifactId>
-            <version>2.0.100-SNAPSHOT</version>
+            <version>2.0.100</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dgn.provider.legend</artifactId>
-            <version>2.0.100-SNAPSHOT</version>
+            <version>2.0.100</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dgn.app.mainplugin</artifactId>
-            <version>2.0.100-SNAPSHOT</version>
+            <version>2.0.100</version>
           </dependency>
       </dependencies>
   </dependencyManagement>
Index: org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.app/pom.xml
===================================================================
--- org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.app/pom.xml	(revision 472)
+++ org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.app/pom.xml	(revision 473)
@@ -7,7 +7,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dgn</artifactId>
-      <version>2.0.100-SNAPSHOT</version>
+      <version>2.0.100</version>
   </parent>
 
   <modules>
Index: org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.app/org.gvsig.dgn.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.app/org.gvsig.dgn.app.mainplugin/pom.xml	(revision 472)
+++ org.gvsig.dgn/trunk/org.gvsig.dgn/org.gvsig.dgn.app/org.gvsig.dgn.app.mainplugin/pom.xml	(revision 473)
@@ -8,7 +8,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dgn.app</artifactId>
-      <version>2.0.100-SNAPSHOT</version>
+      <version>2.0.100</version>
   </parent>
 
   <dependencies>