Index: DefaultMapControl3D.java
===================================================================
--- DefaultMapControl3D.java	(revision 473)
+++ DefaultMapControl3D.java	(revision 474)
@@ -74,8 +74,9 @@
 import org.slf4j.LoggerFactory;
 
 /**
+ * Default implementation of {@link MapControl3D}.
+ * 
  * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
- *
  */
 @SuppressWarnings("deprecation")
 public class DefaultMapControl3D extends JPanel implements MapControl3D {
@@ -84,7 +85,7 @@
 
     private static final Logger LOG = LoggerFactory
         .getLogger(DefaultMapControl3D.class);
-    
+
     private ObservableHelper observableHelper;
 
     /**
@@ -106,9 +107,19 @@
     private StatusBar statusBar;
 
     private TYPE type;
-    
+
     private Cancellable cancellable;
 
+    /**
+     * Default constructor of {@link DefaultMapControl3D}. Initializes local
+     * fileds, sets configuration depends on {@link TYPE} and adds
+     * <code>MapContext</code> layers.
+     * 
+     * @param theMapContext
+     *            associated <code>MapContext</code>
+     * @param type
+     *            Type of this {@link DefaultMapControl3D}. See {@link TYPE}.
+     */
     public DefaultMapControl3D(MapContext theMapContext, TYPE type) {
 
         super(new BorderLayout());
@@ -201,18 +212,19 @@
     }
 
     public void dispose() {
-        
+
         Thread disposeThread = new Thread(new Runnable() {
-            
+
             public void run() {
                 Notification beforeDisposeNotification =
                     new BaseNotification(
-                        MapControl3D.BEFORE_DISPOSE_MAPCONTEX3D_NOTIFICATION, null);
+                        MapControl3D.BEFORE_DISPOSE_MAPCONTEX3D_NOTIFICATION,
+                        null);
 
                 observableHelper.notifyObservers(DefaultMapControl3D.this,
                     beforeDisposeNotification);
 
-                while(WorldWind.getRetrievalService().hasActiveTasks()){
+                while (WorldWind.getRetrievalService().hasActiveTasks()) {
                     try {
                         Thread.sleep(100);
                     } catch (InterruptedException e) {
@@ -225,32 +237,33 @@
 
                 Notification afterDisposeNotification =
                     new BaseNotification(
-                        MapControl3D.AFTER_DISPOSE_MAPCONTEX3D_NOTIFICATION, null);
+                        MapControl3D.AFTER_DISPOSE_MAPCONTEX3D_NOTIFICATION,
+                        null);
 
-                observableHelper
-                    .notifyObservers(DefaultMapControl3D.this, afterDisposeNotification);
+                observableHelper.notifyObservers(DefaultMapControl3D.this,
+                    afterDisposeNotification);
             }
         }, "Dispose World Wind thread");
-        
+
         disposeThread.start();
     }
-    
-    public Cancellable getCancellable(){
-        if(this.cancellable == null){
+
+    public Cancellable getCancellable() {
+        if (this.cancellable == null) {
             this.cancellable = new Cancellable() {
-                
+
                 private boolean cancel = false;
-                
+
                 public void setCanceled(boolean canceled) {
                     this.cancel = canceled;
                 }
-                
+
                 public boolean isCanceled() {
                     return cancel;
                 }
             };
         }
-        
+
         return this.cancellable;
     }
 
@@ -281,8 +294,8 @@
         }
         return this.wwd;
     }
-    
-    private void disposeWwd(){
+
+    private void disposeWwd() {
         if (getWwd() != null) {
             this.wwd = null;
         }
@@ -436,22 +449,22 @@
         // TODO
         throw new UnsupportedOperationException();
     }
-    
+
     public void addObserver(Observer o) {
-        if(observableHelper != null){
+        if (observableHelper != null) {
             observableHelper.addObserver(o);
         }
     }
 
     public void deleteObserver(Observer o) {
-        if(observableHelper != null){
+        if (observableHelper != null) {
             observableHelper.deleteObserver(o);
         }
-        
+
     }
 
     public void deleteObservers() {
-        if(observableHelper != null){
+        if (observableHelper != null) {
             observableHelper.deleteObservers();
         }
     }