Index: dt-visor-3d.rst
===================================================================
--- dt-visor-3d.rst	(revision 477)
+++ dt-visor-3d.rst	(revision 478)
@@ -98,12 +98,12 @@
 
 World Wind es una colección de componentes que de forma interactiva muestran información geográfica en 3D. Las aplicaciones o applets que usen la librería deberá integrar uno o más componentes dentro de su interfaz gráfica. World wind sigue el siguiente esquema:
 
-.. image:: ../images/world-wind-diagram.png
+.. image:: images/world-wind-diagram.png
 
 * Globe: representa la forma del planeta y el terreno. Contiene un Tessellator el cual es el encargado de generar el terreno.
 * Layer: las capas añaden las imágenes, objetos u otra información al globo. La capas se ajustan a la forma del globo y se mueven junto a el cuando el usuario navega por el espacio tridimensional.
 * Model: junta el globo y las capas.
-* View: determina la vista del usuario sobre el modelo. La vista se va modificando en base a los eventos de ususario que recibe.
+* View: determina la vista del usuario sobre el modelo. La vista se va modificando en base a los eventos de usuario que recibe.
 * SceneController: asocia la vista con el modelo. Controla el tiempo y el renderizado del modelo.
 
 Se pretende crear una nivel de abstracción que ofrezca a los consumidores de la librería la funcionalidades descritas en el análisis funcional de forma que no tengan que interactuar con la librería WW. La integración del plugin con la librería World Wind se ha diseñado del siguiente modo:
@@ -242,7 +242,7 @@
 
 * getCancellable() : Cancellable
 
-  Obtiene el objeto compartido el cual permite cancelar todas las ordenes de pintado que se estan ejecutando en un momento dado.
+  Obtiene el objeto compartido el cual permite cancelar todas las ordenes de pintado que se están ejecutando en un momento dado.
  
 * getMapContext() : MapContext
 
@@ -331,14 +331,14 @@
  * HEIGHT: Alto en píxeles de la imagen raster.
  * DISPLAY_NAME: Nombre de la capa.
  * IMAGE_FORMAT: Formato de los tiles que se generan. Se indican en formato MIME y se aceptan cuatro tipos: PNG, JPG, JPEG y DDS.
- * PIXEL_FORMAT: Formate del pixel. Puede tener dos valores: AVKey.IMAGE y AVKey.ELEVATION. En caso de DefaultTiledImageLayer siempre será AVKey.IMAGE.
+ * PIXEL_FORMAT: Formato del pixel. Puede tener dos valores: AVKey.IMAGE y AVKey.ELEVATION. En caso de DefaultTiledImageLayer siempre será AVKey.IMAGE.
  * TEXTURE_FORMAT: Tipo MIME del formato de la texturas. Se indican en formato MIME y se aceptan cuatro tipos: PNG, JPG, JPEG y DDS.
  * FORMAT_SUFFIX: sufijo de archivo de los tiles generados. Debe corresponderse al formato de imagen indicado.
  * AVAILABLE_IMAGE_FORMATS: Formatos de imagen disponibles.
  * TILE_ORIGIN: Origen desde donde se empiezan a crear los tiles.
  * TILE_WIDTH: Ancho en píxeles del tile.
  * TILE_HEIGHT: Alto en píxeles del tile.
- * NUM_LEVELS: Numero de niveles de detalle. Por defecto se calcular el valor óptimo dependiendo de la resolución del rastes.
+ * NUM_LEVELS: Numero de niveles de detalle. Por defecto se calcular el valor óptimo dependiendo de la resolución del raster.
  * LEVEL_ZERO_DELTA: Objeto LatLon con valores en grados. Define que resolución corresponde a que nivel de detalle. Si el valor es muy pequeño (~1º) muestra en niveles de detalle bajos (0 o 1) resoluciones muy altas haciendo el proceso de pintado muy costoso. Es cambio si se asignan valores muy grandes (entre 36 y valores máximos) en niveles bajos de detalle se muestra una resolución muy pequeña haciendo que el proceso de pintado sea muy rápido. Por defecto en capas raster se calcula el valor óptimo y en capas rasterizadas se asigna el valor 20º.
  * NETWORK_RETRIEVAL_ENABLED: En nuestro caso siempre será ``false`` ya que para la libería los datos siempre están en local.
  * USE_MIP_MAPS: En este caso siempre tendrá el valor ``true`` debido a que mejora la visualización del raster.
@@ -417,7 +417,7 @@
 
 * public DefaultViewPanel3D(MapContext mapContext, TYPE type);
 
-  Constructor que permite instancia un nuevo visor 3D a partir de un MapContext y el tipo. Este constructor accederá a las capas del mapContext para añadirlas al componente de la librería WW. Para añadir una capa al componente WW es necesaria una transformación (``LayerConverter#convert(layer)``) de la capa gvSIG a una capa WW en base al modo de carga asociado especificado por el usuario.
+  Constructor que permite instancia un nuevo visor 3D a partir de un MapContext y el tipo. Este constructor accederá a las capas del mapContext para añadirlas al componente de la librería WW. Para añadir una capa al componente WW es necesaria una transformación (``LayerConverter#convertToLayer(layer)``) de la capa gvSIG a una capa WW en base al modo de carga asociado especificado por el usuario.
 
 LayerConverter
 ~~~~~~~~~~~~~~~~~~~~~~
@@ -522,7 +522,7 @@
 
 * drawOnTo(DataRaster canvas) : void
 
-  Copia la información de este raster al espceficado por parámetro. Es usado para hacer peticiones de datos sobre zonas determindas por el tamaño y posición del DataRaster especificado.
+  Copia la información de este raster al especificado por parámetro. Es usado para hacer peticiones de datos sobre zonas determinadas por el tamaño y posición del DataRaster especificado.
 
 * getSubRaster(AVList params) : DataRaster
 