Index: 2.1/trunk/doc/dt-visor-3d.rst
===================================================================
--- 2.1/trunk/doc/dt-visor-3d.rst	(revision 478)
+++ 2.1/trunk/doc/dt-visor-3d.rst	(revision 479)
@@ -555,12 +555,74 @@
 
 El plugin common (org.gvsig.view3d.app.common) estará compuesto por tres extensiones: View3DExtension, RefreshView3DExtension y SynchronizeView3DExtension. Además, gestionará la persistencia de las opciones establecidas por el usuario.
 
-* View3DExtension: extensión de Andami asociada a dos acciones: "create-flat-view3d" y "create-spherical-view3d". Esta extensión deberá estar siempre visible y activa solo cuando se active una vista 2D con un capa o más. Las dos acciones obtendrán la instancia del View3DSwingManager, crearán el panel, añadirán las capas de la vista activa, y lo mostrarán.
+* View3DExtension: extensión de Andami asociada a dos acciones: "flat-view3d" y "sphere-view3d". Esta extensión deberá estar siempre visible y activa solo cuando se active una vista 2D con un capa o más. Las dos acciones obtendrán la instancia del View3DSwingManager, crearán el panel, añadirán las capas de la vista activa, y lo mostrarán.
 * RefreshView3DExtension: extensión de Andami asociada a la acción: "refresh-view3d". Esta extensión deberá estar visible cuando se active un visor 3D y siempre activa. La extensión obtendrá la instancia de tipo ViewPanel3D y ejecutará la operación ``ViewPanel3D#reloadLayers()``.
 * SynchronizeView3DExtension: extensión de Andami asociada a la acción: "synchronize-view3d". Esta extensión deberá estar visible cuando se active una vista3D y siempre activa. La extensión obtendrá la instancia de tipo ViewPanel3D y ejecutará la operación ``ViewPanel3D#synchronizeViewPorts()``.
 
+Preferencias
+~~~~~~~~~~~~~~~~~~~~~~
+
+El plugin view3D maneja diferentes tipos de preferencias que dependiendo de a que afecten se sitúan en un lugar u otro. Existen tres tipos: preferencias 3D de capa, preferencias de vista y preferencias generales.
+
+Preferencias 3D de capa
+________________________
+
+La preferecias de capa afectan solo a una capa. Esta preferencias serán accesibles desde la propiedades de capa del menu contextual del TOC. Para añadir una nueva pestaña a las propiedades de una capa, nuestro panel de propiedades 3D debe extender de la clase ``AbstractThemeManagePage``. La clase que representa la vista se creará dentro de `Plugin common`_ y usuará como modelo la clase `LayerProperties3D`_. A continuación se muestra dos *mockups* de los paneles. El primero representa los parámetros configurables cuando el modo de carga es *Vectorial rasterizada* e *Imagen raster* mientras que el segundo *mockup* representa las opciones configurables cuando el modo de carga es *Modelo ditital del terreno*.
+
+.. image:: images/layer-properties-raster.jpg
+
+Mockup 1: Panel de propiedades cuando el modo de carga es *Vectorial rasterizada* o *Imagen raster*.
+Explicación de las propiedades:
+
+* Formato de imagen: formato de los tiles generados. Las opciones disponibles son png, jpg, jpeg y dds.
+* Nivel de detalle: numero mínimo y máximo de nivel de detalle. Para el valor óptimo dejar en blanco.
+* Resolución nivel cero: resolución en el nivel cero. Por defecto se calcula el valor óptimo teniendo en cuenta el número de niveles de detalle y el tamaño del pixel del raster. En la posición central se situa el valor por defecto, el cual es aumentado o reducido si el usuario establece una resolución baja o alta en el nivel cero.
+* Tamaño de tesela: tamaño en pixeles de los tiles generados.
+
+.. image:: images/layer-properties-mdt.jpg
+
+Mockup 2: Panel de propiedades cuando el modo de carga es *Modelo digital del terreno*.
+Explicación de las propiedades disponibles:
+
+* Formato de la imagen: formato de los tiles de elevación generados. Se puede elegir entre Bil16 o Bil32.
+* Campo altura: al elegir sobre una capa vectorial el modo de cargar MDT, este campo se activa para indicar que campo del FeatureType representa la altura. Si la capa no es de tipo vectorial este campo aparecerá deshabilitado.
+* Unidades del valor altura: Unidades del valor alutura. Dos opciones: metros y pies.
+* Valor No Data: Valor del No Data. Todos los pixeles con este valor no se representarán en el visor.
+* Nivel de detalle: numero mínimo y máximo de nivel de detalle. Para el valor óptimo dejar en blanco.
+* Resolución nivel cero: resolución en el nivel cero. Por defecto se calcula el valor óptimo teniendo en cuenta el número de niveles de detalle y el tamaño del pixel del raster. En la posición central se situa el valor por defecto, el cual es aumentado o reducido si el usuario establece una resolución baja o alta en el nivel cero.
+* Tamaño de tesela: tamaño en pixeles de los tiles.
+
+
+Properties3DManager extends AbstractThemeManagerPage
+''''''''''''''''''''''''''''''''''''''''''''''''''''
+
+* getName()
+
+  Obtiene el nombre de la pestaña que mostrará el panel. En este caso "3D".
+
+* getPriority()
+
+  Obtiene la priporidad del panel. Cuanta más prioridad más a la izquierda aparecerá.
+
+* acceptAction()
+
+  Método ejecutado cuando el botón "Aceptar" es pulsado. Delega en el método Properties3DManager#applyAction().
+
+* applyAction()
+
+  Método ejecutado cuando el botón "Aplicar" es pulsado. Se debe obtener los valores de los campos del panel de propiedades y actualizar el modelo de la capa correspondiente.
+
+* cancelAction()
+
+  Método ejecutado cuando el botón "Cancelar" es pulsado. Se deben de descartar todos los cambios efectuados sobre el modelo de la capa.
+
+* setModel(FLayer)
+
+  Método ejecutado al abrir el panel de propiedades. Debe de obtener el modelo a partir de la capa y actualizar los campos del panel.
+
+
 Persistencia
 ~~~~~~~~~~~~~~~~~~~~~~
 
 .. note::
-  TODO en fases posteriores. Definir panales y gestión de preferencias.
+   TODO
Index: 2.1/trunk/doc/images/layer-properties-mdt.jpg
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: 2.1/trunk/doc/images/layer-properties-mdt.jpg
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: 2.1/trunk/doc/images/layer-properties-raster.jpg
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: 2.1/trunk/doc/images/layer-properties-raster.jpg
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream