Index: dt-visor-3d.rst
===================================================================
--- dt-visor-3d.rst	(revision 479)
+++ dt-visor-3d.rst	(revision 480)
@@ -126,39 +126,57 @@
 
 Clase que representa la propiedades 3D de una capa.
 
+* getFormat() : String
+
+  Obtiene el formato MIME de las teselas. El valor por defecto del modo de carga "Imagen raster" o "Vectorial rasterizada" es **image/png** y el formato por defecto del modo "Modelo digital del terreno" es **image/bil16**.
+
+* setFormat(String theFormat) : void
+
+  Asigna el formato de tipo MIME de las teselas. Dependiendo del modo de carga admite unos formatos u otros. Para el modo de carga "Imagen raster" o "Vecotiral raserizada" admite los formatos: image/png, image/jpg, image/jpeg y image/dds. Para el modo de carga "Modelo digital del terreno" acepta los formatos: image/bil16 y image/bil32.
+
 * setMaxLevel(int maxLevel) : void
 
-  Asigna el máximo nivel de detalle de la capa.
+  Asigna el máximo nivel de detalle de la capa. Si el valor recibido como parámetro es igual a 0 se asigna el valor óptimo dependiendo del tamaño del raster y del pixel.
 
 * getMaxLevel() : int
 
-  Obtiene el máximo nivel de detalle de la capa.
+  Obtiene el máximo nivel de detalle de la capa. 
 
 * setMinLevel(int minLevel) : void
 
-  Asigna el mínimo nivel de detalle de la capa.
+  Asigna el mínimo nivel de detalle de la capa. Si el valor recibido como parámetro es igual a 0 se asigna el valor óptimo dependiendo del tamaño del raster y del pixel.
 
 * getMinLevel() : int
 
   Obtiene el mínimo nivel de detalle de la capa.
 
-* setFileStore(String path) : void
+* getLevelZeroResolutionMultiplier() : double
 
-  Asigna el directorio padre donde se ubicarán las diferentes capas cacheadas
+  Obtiene el multiplicador de resolución del nivel cero de detalle. 
 
-* getFileStore() : String
+* setLevelZeroresolutionMultiplier(double multiplier) : void
 
-  Obtiene el directorio padre donde se ubican las diferentes capas cacheadas.
+  Asigna el multiplicador de resolución al nivel cero de detalle. Admite como valor mínimo 0.5 y como valor máximo 1.5. 
 
-* getCacheName() : String
+* getTileWidth() : int
 
-  Obtiene el nombre único de la caché el cual da nombre a la carpeta dentro del file store que contiene los tiles cacheados y los archivos de configuración.
+  Obtiene el ancho en píxeles de una tesela.
 
-RasterLayerProperties3D extends LayerProperties3D
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+* setTileWidth(int width) : void
 
-Clase que representa la propiedades 3D de una capa raster.
+  Asigna el ancho en píxeles de una tesela.
 
+* getTileHeight() : int
+
+  Obtiene el alto en píxles de una tesela.
+
+* setTileHeight(int height) : void
+
+  Asigna el ancho en píxeles de una tesela.
+
+ElevationLayerProperties3D  
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
 * setElevation(boolean elevation) : void
 
   Asigna a la capa si el modo de carga de la capa es de elevación o no.
@@ -167,14 +185,43 @@
 
   Obtiene si el modo de carga de la capa raster es de elevación o no.
 
+* getNoDataValue() : double
+
+  Obtiene el valor tomado como No Data.
+
+* setNoDataValue(double noDataValue) : void
+
+  Asigna el valor No Data. Si no se asigna ningún valor se obtiene el valor por defecto -99999.0.
+
+* getElevationField() : String
+
+  Obtiene el atributo del *FeatureType* que contiene la información de elevación. Solo se aplica cuando la capa es de tipo vectorial.
+
+* setElevationField(String field) : void
+
+  Asgina que atributo del *FeatureType* contiene la información de elevación. Solo se aplica cuando la capa es de tipo vectorial.
+
+* getElevationUnits() : String
+
+  Obtiene en que unidades se encuentra el valor de elevación.
+
+* setElevationUnits(String units) : void
+
+  Asigna en que unidades se encuentra el valor de elvación. Solo acepta dos unidades: metros y pies.
+
+RasterLayerProperties3D extends LayerProperties3D
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+Clase que representa la propiedades 3D de una capa raster. De momento no tiene ninguna propiedad específica.
+
 VectorialLayerProperties3D extends LayerProperties3D
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 Clase que representa la propiedades 3D de una capa vectorial.
 
 * setRasterized(boolean rasterized) : void
 
-  Asigna a la capa si el modo de carga de la capa es rasterizado o no.
+  Asigna a la capa si el modo de carga de la capa es rasterizado o no. Hay que tener en cuenta si ya se ha definido como elevación. Una capa solo puede ser o de elevación o rasterizada. Las dos propiedades a la vez es un estado inconsistente.
 
 * getRasterized() : boolean
 
@@ -188,13 +235,18 @@
 
 Esta es la implementación de la lógica de la librería.
 
-DefaulRasterLayerProperties3D
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+BasicLayerProperties3D implements LayerProperties3D, ElevationLayerProperties3D
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
+Implementación básica de las propiedades 3D de capas.
+
+DefaulRasterLayerProperties3D extends BasicLayerProperties3D implements RasterLayerProperties3D
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
 Implementación por defecto de las propiedades de las capas raster.
 
-DefaultVectorialLayerProperties3D
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+DefaultVectorialLayerProperties3D extends BasicLayerProperties3D RasterLayerProperties3D
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 Implementación por defecto de la propiedades de las capas vectoriales.
 